### Method

# GObject Value init_from_instance

since: 2.42

#### Declaration

    void
    g_value_init_from_instance (
      GValue* value,
      GObjectTypeInstance* instance
    )

#### Description

Initializes and sets `value` from an instantiatable type via the value_table’s `collect_value()` function.

Note: The `value` will be initialised with the exact type of `instance`. If you wish to set the `value`‘s type to a different GType (such as a parent class GType), you need to manually call `g_value_init()` and g_value_set_instance().

Available since: 2.42

#### Parameters

`instance`

  Type: `GTypeInstance`

  The instance.

  The data is owned by the caller of the method.